RDF::Trine::Parser::RDFJSON(3pm)

NAME
RDF::Trine::Parser::RDFJSON - RDF/JSON RDF Parser

VERSION
This document describes RDF::Trine::Parser::RDFJSON version 1.014

SYNOPSIS
 use RDF::Trine::Parser;
 my $parser     = RDF::Trine::Parser->new( 'RDF/JSON' );
 $parser->parse_into_model( $base_uri, $data, $model );

DESCRIPTION
...

METHODS
Beyond the methods documented below, this class inherits methods from the RDF::Trine::Parser class.

"new"
    Returns a new RDFJSON parser.

"parse_into_model ( $base_uri, $data, $model [, context => $context] )"
    Parses the bytes in $data, using the given $base_uri. For each RDF statement parsed, will call "$model->add_statement( $statement )".

"parse ( $base_uri, $rdf, \&handler )"
    Parses the bytes in $data, using the given $base_uri. Calls the "triple" method for each RDF triple parsed. This method does nothing by default, but can be set by using one of the default "parse_*" methods.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/perlrdf/issues>.

AUTHOR
 Toby Inkster <tobyink@cpan.org>
 Gregory Williams <gwilliams@cpan.org>

COPYRIGHT
Copyright (c) 2006-2012 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.